Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005520TestLinkTest Plan Managementpublic2013-02-06 19:392013-05-26 18:50
Reportergzucker 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.5 (2012 Q4 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005520: Deactivating a testplan renders any access to it impossible
DescriptionAccess to a test plan is impossible once unchecking the Active checkbox next to a test plan and hitting update
The test plan is inaccessible via the test plan management screen. all builds are gone and there's no way to access execution reports. Seems that that deactivating it now behaves like deleting it (which should not be the case...)

The only way to get the test plan back is to change its status back to active in the database.
Steps To ReproduceGo to (any) Project -->Test Plan Management
Click on the Test Plan (You are now in Edit Test Plan mode)
Uncheck the check next to Active
Click Update
The test plan is gone. not visible via Reporting and/or this page --> not seen on the Test Plan Management anymore

The help note about test plans ON the Testlink page says:
Test plans can be deactivated (i.e., editing and changing of results change are not allowed). Deactivated test plans are visible only via 'Reporting' and this page.



TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0018291)
gzucker (reporter)
2013-02-06 19:41

Seems similar to 0005518 however I cannot see any inactive testplan and even try to activate it.
(0018292)
gzucker (reporter)
2013-02-06 19:45

And reading further more I guess we will have to wait for 1.9.6.
:-)
(0018297)
fman (administrator)
2013-02-07 16:43

you can get development code and try it, to confirm 1.9.6 will solve your issue.
you have to do a test installation absolutely
(0018450)
fast.chip (reporter)
2013-03-16 15:27

Updating to 1.9.6 is not possible for me in next few months
So I'd prefer going the DB route what is the table/column value that needs to be updated ?

- Issue History
Date Modified Username Field Change
2013-02-06 19:39 gzucker New Issue
2013-02-06 19:41 gzucker Note Added: 0018291
2013-02-06 19:45 gzucker Note Added: 0018292
2013-02-07 16:43 fman Note Added: 0018297
2013-02-12 20:11 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-02-12 20:11 fman Status new => resolved
2013-02-12 20:11 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-02-12 20:11 fman Resolution open => fixed
2013-02-12 20:11 fman Assigned To => fman
2013-03-16 15:27 fast.chip Note Added: 0018450
2013-05-26 18:50 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker